Simulates a charcoal drawing

- « Imagick::brightnessContrastImage

- Imagick::chopImage »

- PHP Manual
- Imagick
- Simulates a charcoal drawing

# Imagick::charcoalImage

(PECL imagick 2, PECL imagick 3)

Imagick::charcoalImage — Simulates a charcoal drawing

### Description

public Imagick::charcoalImage(float `$radius`, float `$sigma`): bool

Simulates a charcoal drawing.

### Parameters

`radius`

  The radius of the Gaussian, in pixels, not counting the center pixel

`sigma`

  The standard deviation of the Gaussian, in pixels

### Return Values

Returns `true` on success.

### Examples

Example #1 Imagick::charcoalImage()

    <?phpfunction charcoalImage($imagePath, $radius, $sigma) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->charcoalImage($radius, $sigma);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>